Subject: Re: [PATCH 2/2] sh_eth: check TSU registers ioremap() error

From: Sergei Shtylyov <[email-masked]>
Date: Wed, 20 Mar 2013 22:45:45 +0300

Hello.

On 03/20/2013 09:20 PM, Denis Kirjanov wrote:

> It doesn't make sense to worry about branch misprediction during probe() :)

     You misunderstood. I didn't mean using unlikely() at all, just that 
the ioremap() failure is unlikely.

PS: Please, don't top post.

> On 3/20/13, Sergei Shtylyov <[email-masked]> wrote:
>> On 03/20/2013 10:04 PM, Sergei Shtylyov wrote:
>>
>>>>> One must check the result of ioremap() -- in this case it prevents
>>>>> potential
>>>>> kernel oops when initializing TSU registers further on...
>>>>>
>>>>> Signed-off-by: Sergei Shtylyov <[email-masked]>
>>>> Applied and queued up for -stable.
>>>     Thanks. However, do you really think it's needed in stable? It's
>>> only error path, after all...
>>      I forgot to add "unlikely" to the "error path". I usually don't mark
>> such patches for stable, when I'm not in a hurry. :-)
>>

WBR, Sergei